Subject: Re: bug#39865: 28.0.50; Emacs crash

From: Vinicius José Latorre <[email-masked]>
Date: Thu, 5 Mar 2020 19:21:22 -0300

I found this line in my ~/.emacs that causes the crash:

(push '(font-backend xft x) default-frame-alist)

On Wed, Mar 4, 2020 at 10:03 PM Vinicius José Latorre <[email-masked]>
wrote:

> > Is this the master branch or the emacs-27 branch?
>
> Yes, the master branch (origin/master).
>
> > Would it be possible to find the smallest subset of your .emacs which
> > still causes the crash, and then post it?
>
> I'll try it.
>
>
>
>
> On Mon, Mar 2, 2020 at 5:11 AM Eli Zaretskii <[email-masked]> wrote:
>
>> > From: Vinicius José Latorre <[email-masked]>
>> > Date: Sun, 1 Mar 2020 22:39:09 -0300
>> >
>> > I've just updated Emacs sources in my local git clone and installed it
>> in my laptop.
>>
>> Is this the master branch or the emacs-27 branch?
>>
>> > I noticed that when Emacs is called via:
>> >
>> > $ ~opt/emacs-repo/bin/emacs
>> >
>> > Emacs crashes.
>> >
>> > And when called via:
>> >
>> > $ ~opt/emacs-repo/bin/emacs -Q
>> > M-x load-file RET
>> > ~/.emacs RET
>> >
>> > Emacs does not crash.
>>
>> That would mean the trigger for the crash is in your .emacs file.
>> Would it be possible to find the smallest subset of your .emacs which
>> still causes the crash, and then post it?
>>
>> Thanks.
>>
>